import {
  createPageContext,
  createSearchContext,
  createTableSearchContext,
} from '@hooks';
import {GetDictionaryListParams, OriginalListParams} from '@models';

export const pageContext = createPageContext();
export const searchContext = createSearchContext();
export const contextState: OriginalListParams<GetDictionaryListParams> = {
  name: '',
  code: '',
  wllbClass: '',
  materialType: '',
  isNotDisable: '',
  isRecommend: '',
  type: '物料字典',
  modifyUser: '',
};
export const context = createTableSearchContext(contextState);
